Package org.gradle.api.artifacts

# Interface FileCollectionDependency

All Superinterfaces:
  `Dependency`

public interface FileCollectionDependency extends Dependency
A `FileCollectionDependency` is a `Dependency` on a collection of local files which are not stored in a repository.

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.artifacts.Dependency

  `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileCollection`
  `getFiles()`
  Returns the files attached to this dependency.

  ### Methods inherited from interface org.gradle.api.artifacts.Dependency

  `because, copy, getGroup, getName, getReason, getVersion`

- ## Method Details

  - ### getFiles

    FileCollection getFiles()
    Returns the files attached to this dependency.
    Since:
      3.3